<script setup lang="ts">
interface DevExStatProps {
  header: string;
  text?: string;
  statNumber?: string;
  secondaryColumnText: string;
  config: {
    id: string;
    backgroundColor?: string;
  };
}

defineProps<DevExStatProps>();
</script>

<template>
  <section class="stat">
    <SlpContainer>
      <SlpRow>
        <SlpColumn :cols="8" class="stat-text animation-wrapper">
          <SlpTypography variant="heading2-bold" tag="h2" class="slp-mt-8 slp-mb-32 animated">{{
            header
          }}</SlpTypography>
          <div v-if="text" class="text__span" v-html="$md.render(text)"></div>
        </SlpColumn>
        <SlpColumn :cols="4" class="stat-number stat-container">
          <div class="stat-box">
            <div class="text__span">
              <p class="devex-gradient-stat">{{ statNumber }}</p>
              <div v-html="$md.render(secondaryColumnText)"></div>
            </div>
          </div>
        </SlpColumn>
      </SlpRow>
    </SlpContainer>
  </section>
</template>

<style lang="scss" scoped>
.stat {
  background: $color-surface-700;
  color: $color-text-50;
  padding: 120px 0;

  .text__span {
    font-size: 24px;
    line-height: 32px;
  }

  .stat-text {
    display: flex;
    flex-direction: column;
    justify-content: center;
  }

  :deep(a) {
    color: $color-surface-50;
    text-decoration: underline;
  }
  .stat-number {
    .devex-gradient-stat {
      font-size: 96px;
      line-height: 100px;
      font-weight: 600;
      display: block;
      margin-bottom: $spacing-16;
      -webkit-text-fill-color: transparent;
      background: linear-gradient(91.08deg, #fca326 -9.03%, #a686f2 27.88%, #a989f5 65.98%);
      -webkit-background-clip: text;
      -moz-background-clip: text;
      background-clip: text;
    }

    @media (max-width: $breakpoint-md) {
      margin-top: $spacing-32;
    }
  }

  .stat-container {
    background: linear-gradient(91.08deg, #fca326 -9.03%, #a686f2 27.88%, #a989f5 65.98%);
    border-radius: 20px;
    padding: 1px;
  }
  .stat-box {
    background: $color-surface-700;
    border-radius: 20px;
    padding: $spacing-32;
  }
}
</style>
